<?php
if (!defined('PLX_ROOT')) exit;
const FORMAT_CAT_LIST = <<< CAT_LIST
					<li id="#cat_id"><a class="#cat_status" href="#cat_url" title="#cat_name">#cat_name (#art_nb)</a></li>\n
CAT_LIST;
const FORMAT_MENU_ENTRY = <<< MENU_ENTRY
			<li><a class="#static_status" href="#static_url" title="#static_name">#static_name</a></li>\n
MENU_ENTRY;
const FORMAT_SUBMENU = <<< SUB_MENU
				<a href="#" class="#group_class">#group_name</a>
SUB_MENU;
const FORMAT_BLOG = <<< BLOG
			<li><a class="#page_status" href="#page_url" title="#page_name">#page_name</a></li>\n
BLOG;
?>
<!DOCTYPE html>
<html lang="<?php $plxShow->defaultLang(); ?>">
<!-- begin header.php -->
<head>
	<meta charset="<?php $plxShow->charset('min'); ?>">
	<meta name="viewport" content="width=device-width, user-scalable=yes, initial-scale=1.0">
	<title><?php $plxShow->pageTitle(); ?></title>
	<?php $plxShow->meta('description'); ?>
	<?php $plxShow->meta('keywords'); ?>
	<?php $plxShow->meta('author'); ?>
	<link rel="icon" href="<?php $plxShow->template(); ?>/img/favicon.png" />
	<link rel="stylesheet" href="<?php $plxShow->template(); ?>/css/theme.css" media="screen"/>
	<style type="text/css">
		@media print { .no-print { display: none; } }
	</style>
	<?php $plxShow->templateCss(); ?>
	<?php $plxShow->pluginsCss(); ?>
<?php
	if ($plxShow->plxMotor->mode == 'categorie') {
		$categorie = $plxShow->catId();
		$id = str_pad($categorie, 3, '0', STR_PAD_LEFT); ?>
	<link rel="alternate" type="application/rss+xml" title="<?php $plxShow->lang('ARTICLES_RSS_FEEDS'); echo ' - '.$plxShow->getlang('CATEGORIES').': '; $plxShow->catName() ?>" href="<?php $plxShow->urlRewrite('feed.php?rss/categorie'.$categorie.'/'.$plxShow->plxMotor->aCats[$id]['url']); ?>" />
<?php
	} else if ($plxShow->plxMotor->mode == 'tags') {
		$tag = plxUtils::strCheck($plxShow->plxMotor->cible); ?>
	<link rel="alternate" type="application/rss+xml" title="<?php $plxShow->lang('ARTICLES_RSS_FEEDS'); echo ' - '.$plxShow->getlang('TAGS').' : '; $plxShow->tagName(); ?>" href="<?php $plxShow->urlRewrite('feed.php?rss/tag/'.plxUtils::strCheck($tag)) ?>" />
<?php
	} else { ?>
	<link rel="alternate" type="application/rss+xml" title="<?php $plxShow->lang('ARTICLES_RSS_FEEDS') ?>" href="<?php $plxShow->urlRewrite('feed.php?rss') ?>" />
<?php
	}
?>
	<link rel="alternate" type="application/rss+xml" title="<?php $plxShow->lang('COMMENTS_RSS_FEEDS') ?>" href="<?php $plxShow->urlRewrite('feed.php?rss/commentaires') ?>" />
	<link rel="sitemap" type="application/xml" title="Sitemap" href="/sitemap.php" />
	<!--[if lt IE 9]>
		<script src="<?php $plxShow->template(); ?>js/html5ie.js"></script>
		<script src="<?php $plxShow->template(); ?>js/respond.min.js"></script>
	<![endif]-->
</head>
<body id="top"<?php if(defined('EXTRA_CLASS')) { echo ' class="'.EXTRA_CLASS.'"'; } ?>>
	<header class="no-print">
		<div id="logo">
			<a href="<?php echo $plxMotor->racine; ?>"><img src="<?php $plxShow->template(); ?>/img/logo.png" alt="Logo" width="150" height="100" /></a>
		</div>
		<div>
			<h1><?php $plxShow->mainTitle('link'); ?></h1>
			<h2><?php echo str_replace('|', "<br />\n", plxUtils::strCheck($plxShow->plxMotor->aConf['description'])); /* subtitle */ ?></h2>
		</div>
	</header>
	<nav class="no-print">
		<input id="navid" type="checkbox">
		<label for="navid">☰</label>
		<ul>
			<li>
				<a href="#" class="group"><?php $plxShow->lang('CATEGORIES'); ?></a>
				<ul>
<?php $plxShow->catList('', FORMAT_CAT_LIST); ?>
				</ul>
			</li>
<?php
			$plxShow->staticList('', FORMAT_MENU_ENTRY, FORMAT_SUBMENU);
			$plxShow->pageBlog(FORMAT_BLOG);
?>
		</ul>
	</nav>