<?php
/*
 * Template pour afficher la galerie de toutes les photos d'un dossier
 * Lors de l'édition de la page statique, précisez le nom du dossier entre guillemets
 * dans les mots-clés chmp (Balise meta "keywords"). Par exemple: "photos/nouvel-an"
 * @author: Jean-Pierre Pourrez
 * */
 
include(dirname(__FILE__) . '/header.php');
?>
<section>
	<div id="container">
		<div class="full-width">
			<article role="article" id="static-page-<?php echo $plxShow->staticId(); ?>">
				<section>
					<?php $plxShow->staticContent(); ?>
				</section>
<?php
$cible = $plxMotor->cible;
$keywords = $plxMotor->aStats[$cible]['meta_keywords'];
if (preg_match('/"([^"]+)"/', $keywords, $result)) {
	$myFolder = $result[1];
	if (substr($myFolder, -1, 1) != '/')
		$myFolder .= '/';
} else
	$myFolder = '';
?>
				<section>
					<h2>Dossier: <?php echo rtrim($myFolder, '/'); ?></h2>
					<div id="galerie">
<?php
$dir = PLX_ROOT.$plxShow->plxMotor->aConf['medias'].$myFolder;

// Récupération et affichage de la liste des images sous forme de liste
$glob = plxGlob::getInstance($dir);

if ($files = $glob->query('/[a-z0-9-_]+.tb.(jpg|gif|png|jpeg)$/i')) {
    foreach($files as $filename) {
        $file = $plxShow->plxMotor->racine.$plxShow->plxMotor->aConf['medias'].$myFolder.$filename;
        $url = str_replace('.tb', '', $file);
        $alt = str_replace('.tb', '', $filename);
        $title = substr($alt, 0, -strlen(strchr($alt, '.')));
        $size = getimagesize($dir.$filename);
        $sizeStr = $size[3];
        echo <<< EOT
			        <a href="$url"><img src="$file" alt="$alt" $sizeStr title="$title"/></a>

EOT;
    }
}
else echo "Aucune image";
?>
					</div>
				</section>
			</article>
		</div>
	</div>
</section>
<?php include(dirname(__FILE__) . '/footer.php'); ?>
